#!/bin/sh
echo 'name: xml-enumerator
version: 0.4.4.1
id: xml-enumerator-0.4.4.1-777b0dad4139d246a4d2f4b06978bd2b

license: BSD3
copyright:
maintainer: Michael Snoyman <michaels@suite-sol.com>
stability: Stable
homepage: http://github.com/snoyberg/xml
package-url:
description: This package is deprecated in favor of xml-conduit.
             .
             This package provides parsing and rendering functions for XML. It is based on the datatypes found in the xml-types package. This package is broken up into the following modules:
             .
             * Text.XML: DOM-based parsing and rendering. This is the most commonly used module.
             .
             * Text.XML.Cursor: A wrapper around "Text.XML" which allows bidirectional traversing of the DOM, similar to XPath. (Note: Text.XML.Cursor.Generic is the same concept, but will work with any node representation.)
             .
             * Text.XML.Unresolved: A slight modification to "Text.XML" which does not require all entities to be resolved at parsing. The datatypes are slightly more complicated here, and therefore this module is only recommended when you need to deal directly with raw entities.
             .
             * Text.XML.Stream.Parse: Streaming parser, including some streaming parser combinators.
             .
             * Text.XML.Stream.Render: Streaming renderer.
             .
             Additionally, the xml-hamlet package <http://hackage.haskell.org/package/xml-hamlet> provides a more convenient syntax for creating XML documents. For a more thorough tutorial on this library, please see <http://www.yesodweb.com/book/xml-enumerator>.
category: XML, Enumerator
author: Michael Snoyman <michaels@suite-sol.com>, Aristid Breitkreuz <aristidb@googlemail.com>
exposed: True
exposed-modules: Text.XML.Stream.Parse Text.XML.Stream.Render
                 Text.XML.Unresolved Text.XML.Cursor Text.XML.Cursor.Generic
                 Text.XML
hidden-modules: Text.XML.Stream.Token
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/xml-enumerator-0.4.4.1
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/xml-enumerator-0.4.4.1
              /usr/local/lib
hs-libraries: HSxml-enumerator-0.4.4.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: attoparsec-0.10.1.0-22b85b2004ae392ff5cab099ffd0f453
         attoparsec-enumerator-0.3-d8bd834ea310b2c2eff2e02652c72947
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         blaze-builder-0.3.1.0-19b8f4f8b5d83779c3b3e947a878bd26
         blaze-builder-enumerator-0.2.0.3-b24ff070013d497186de8bd5302bd199
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         data-default-0.3.0-3ce2ab6f510b6da10afe1f81b0bd2765
         enumerator-0.4.18-ab0738621e39ac3ae083dbffa0d2022d
         failure-0.1.2-18aef1fa19e4c5212c7db7ea708cc21f
         text-0.11.1.5-1ea395545cc7c8fb42ee757868e225d9
         transformers-0.2.2.0-a8a2dbba7d96131db605cf631ea0c8c4
         xml-types-0.3.1-55a11690ab8f2d55b4d715aaea5609a9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/xml-enumerator-0.4.4.1/html/xml-enumerator.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/xml-enumerator-0.4.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
